### Signal

# Gio ThreadedSocketService::run

#### Declaration

    gboolean
    run (
      GThreadedSocketService* self,
      GSocketConnection* connection,
      GObject* source_object,
      gpointer user_data
    )

#### Description [src]

The ::run signal is emitted in a worker thread in response to an incoming connection. This thread is dedicated to handling `connection` and may perform blocking IO. The signal handler need not return until the connection is closed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`connection`

  Type: `GSocketConnection`

  A new `GSocketConnection` object.

  The data is owned by the caller of the function.

`source_object`

  Type: `GObject`

  The source_object passed to g_socket_listener_add_address().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop further signal handlers from being called.